create table flow_task
(
    id            bigint           not null comment '主键id'
        primary key,
    definition_id bigint           not null comment '对应flow_definition表的id',
    instance_id   bigint           not null comment '对应flow_instance表的id',
    node_code     varchar(100)     not null comment '节点编码',
    node_name     varchar(100)     null comment '节点名称',
    node_type     tinyint(1)       not null comment '节点类型（0开始节点 1中间节点 2结束节点 3互斥网关 4并行网关）',
    flow_status   varchar(20)      not null comment '流程状态（0待提交 1审批中 2审批通过 4终止 5作废 6撤销 8已完成 9已退回 10失效 11拿回）',
    form_custom   char default 'N' null comment '审批表单是否自定义（Y是 N否）',
    form_path     varchar(100)     null comment '审批表单路径',
    create_time   datetime         null comment '创建时间',
    update_time   datetime         null comment '更新时间',
    del_flag      char default '0' null comment '删除标志',
    tenant_id     varchar(40)      null comment '租户id'
)
    comment '待办任务表';

